• Login
sketchucation logo sketchucation
  • Login
ℹ️ GoFundMe | Our friend Gus Robatto needs some help in a challenging time Learn More

How to use the Defined axis move?

Scheduled Pinned Locked Moved Plugins
1 Posts 1 Posters 2.1k Views
Loading More Posts
  • Oldest to Newest
  • Newest to Oldest
  • Most Votes
Reply
  • Reply as topic
Log in to reply
This topic has been deleted. Only users with topic management privileges can see it.
  • X Offline
    xyhcwu
    last edited by 22 May 2021, 11:16

    Excuse me
    How to use the Defined axis move?
    #------------------------------------------
    require('sketchup.rb')
    unless file_loaded?(FILE)
    UI.menu("Edit").add_separator
    UI.menu("Edit").add_item("move Y"){ move }
    end
    def move
    model = Sketchup.active_model
    entities = model.active_entities
    ss = model.selection
    vector = [10,0,0]
    tr = Geom::Transformation.translation(vector)
    entities.transform_entities(tr, ss.to_a)
    end
    #------------------------------------------

    1 Reply Last reply Reply Quote 0
    • 1 / 1
    1 / 1
    • First post
      1/1
      Last post
    Buy SketchPlus
    Buy SUbD
    Buy WrapR
    Buy eBook
    Buy Modelur
    Buy Vertex Tools
    Buy SketchCuisine
    Buy FormFonts

    Advertisement